Kerbal Space Program - Bug #9619

Orbital Decay/ Orbit changes without user input
04/30/2016 03:35 AM - bewing

Status: Closed Start date: 04/30/2016
Severity: High % Done: 100%
Assignee:

Category: Physics

Target version: 1.2.0

Version: 111 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

In previous versions, Kerbin's atmosphere (and the other bodies with atmosphere) had an upper boundary where the drag went to 0.
That upper limit no longer seems to be active.

The attached savegame (career mode) has a 1 ton pod in an elliptical orbit -- 68km x 300km. If you patiently sit and watch the Pe
and Ap values, they constantly decrease over time.

At the 300km altitude, the Pe will decrease by about a meter every 30 seconds. The "drag" seems to increase continuously as the
altitude falls, and there is no sudden change in drag when transitioning from 71km to 69km.

(PS. The new KSP.log and output_log.txt files are many megabytes and can no longer be uploaded.)

Related issues:

Related to Kerbal Space Program - Bug #10330: Orbit changes without reason at... Duplicate 08/07/2016
Related to Kerbal Space Program - Bug #10087: Satelite orbit is changing with... Duplicate 07/05/2016
Has duplicate Kerbal Space Program - Bug #9715: Orbiting artificially changin... Duplicate 05/11/2016
Has duplicate Kerbal Space Program - Bug #9729: orbit changing (rising and de... Duplicate 05/16/2016
History

#1 - 04/30/2016 12:57 PM - deltalord

| tested this today after noticing my two space stations in my main save decaying without any inputs (all engines shutdown, RCS / SAS off).
There does appear to be some kind of phantom force that is causing both Pe and Ap to decay together, slowly but surely.

It stops decaying when time warp is engaged and immediately begins decaying again once back to 1x.

It seems to occur on all of my vessels when taken control of.

It also appears to be happening around non atmospheric bodies as well.

My Mun satellite test was harder to tell for sure, but it did appear over a longer period of time to drop slightly. | then decided to switch the test to a
satellite | have around Tylo instead to see if non atmospheric bodies were affected, and it did the same as the Kerbin / Eve test.

Was able to reproduce on a mod free sandbox game in 1.1.1. This issue still persists with 1.1.2.

#2 - 04/30/2016 06:02 PM - Pluto239

- Status changed from New to Confirmed

- % Done changed from 0 to 10

| have been noticing this as well. It does not appear to be atmospheric drag, however. On a vessel in a near circular orbit of Minimus, as the craft
approached apoapsis, the periapsis remained nearly the same while the apoapsis dropped by several meters. If it were atmospheric drag, the
situation should have been the other way around: a tangential force applied to the craft should have left the apoapsis nearly the same while the
periapsis dropped. This makes me think there is some kind of round-off-error at play on a positional variable.

The same is true for a circular orbit of the mun. The rate at which Ap and Pe drop increase as you approach them each respectively and diminish as
you get farther from them. The rates are nearly equal when you are equidistant.

The same is also true in a near circular orbit of Kerbin, though the rate of drop is significantly quicker than for its moons.

The bug is very different for a long elliptical orbit. Near the Ap and Pe, the opposite side of the orbit will actually increase over time. While at an
equidistant point both Ap and Pe will decrease over time.

So yeah, this is definitely not atmospheric drag.

#3 - 04/30/2016 09:52 PM - Apollo13
Happened to me in 1.1.1. The priority should not be LOW. This is a serious bug.

#4 - 05/01/2016 03:27 AM - Pluto239

Apparently this is a known bug from NathanKell's Center of Mass update. Quoting from Dev Tuesday blog, "PhysX integrator has some issues
with velocity at orbital speed so the Apoapsis and Periapsis are not constant when off rails".

#5 - 05/02/2016 12:47 AM - Anonymous

I'm seeing something similar (v1.1.2), where a highly elliptical orbit (out to around Minmus's orbit) seems to be experiencing drag while at ~700km
altitude. My apoapsis is falling by about a hundred meters per second. The anomalous drag goes away when | look through the tracking station or
under time warp.

| haven't tested to see if lower orbits have it too, but this sounds just like what I'm seeing (it's just more obvious in a long elliptical orbit, | imagine).
#6 - 05/02/2016 03:36 PM - jingej

| just saw a raising orbit (it was a satellite with ~P10000km ~A12000km), and the periapsis raised slowly ~1km per second.
#7 - 05/03/2016 03:58 PM - theonlyme
Apollo13 wrote:

The priority should not be LOW. This is a serious bug.

Docking with this bug is horrible. Priority has to be raised.
Happens to me in 1.1.2 around the Mun a lot. Kerbal Engineer shows positive thrust while there is no engine on the vessel or reaction wheels.

#8 - 05/03/2016 07:44 PM - krimsalt

| have this issue a lot... i send something to Mun with a PE of 25 k and when | slow down and configure some stuff on my craft or take some pictures,
it has now dropped to 22k....

this happens on return too... my injection to Kerbin at 80 k ends up being 75 k by the time i get there and it continues to decay even in circular orbit
and it persists in 1.1.2

#9 - 05/03/2016 07:51 PM - smjjames

@everybody: Discussion is fine, but what is really needed here are save files demonstrating it happening, one is okay, multiple is even better. Heck,
having too many uploaded to a bug report isn't really a thing.

#10 - 05/03/2016 07:53 PM - smjjames

- Severity changed from Low to Normal
Boosting priority up a bit.
I've also seen a few posts about it on the forum, not too many.

#11 - 05/03/2016 08:38 PM - theonlyme
- File No-engine-thrust.sfs added

smjjames wrote:

@everybody: Discussion is fine, but what is really needed here are save files demonstrating it happening, one is okay, multiple is even better.
Heck, having too many uploaded to a bug report isn't really a thing.

Save attached. Just switch to Seeman's Craft (no engine or reaction wheels) and look at Ap/Pe continuously falling.
#12 - 05/04/2016 04:09 AM - krimsalt
| have a save that's experiencing this on both a near-circular orbit and a Munar injection transfer. Which files do | upload for you to see? is it the

persistent.sfs?

#13 - 05/04/2016 04:29 AM - krimsalt

- File persistent.sfs added

I'm actually just going to upload the persistent file... that way if it is the one, you dont have to waste time waiting for me to reply
There are two things in flight doing this: (1) the MPL station, which is at about 150 km Kerbin orbit (but the PE has dropped now to 149); and (2) a
Mun lander called Secunda Lander Mk1 which is on its way to Mun.

Go to each craft and watch the PE/AP from map view. For me, they decay about 1 km ever few seconds. This doesn't occur when viewed in the
tracker

#14 - 05/04/2016 05:47 AM - theonlyme

The categorization "Aerodynamics" is misleading.
Even if drag is completely disabled in the debug menu the orbits still decay. Also the aero-information in the debug menu shows no lift or any other
aero-forces.

#15 - 05/04/2016 07:06 PM - smjjames
krimsalt wrote:
I'm actually just going to upload the persistent file... that way if it is the one, you dont have to waste time waiting for me to reply

There are two things in flight doing this: (1) the MPL station, which is at about 150 km Kerbin orbit (but the PE has dropped now to 149); and (2)
a Mun lander called Secunda Lander Mk1 which is on its way to Mun.

Go to each craft and watch the PE/AP from map view. For me, they decay about 1 km ever few seconds. This doesn't occur when viewed in the
tracker

A quicksave would be preferred, but that's ok. Then again, a quicksave is just a named persistent save.

theonlyme wrote:
The categorization "Aerodynamics" is misleading.

Even if drag is completely disabled in the debug menu the orbits still decay. Also the aero-information in the debug menu shows no lift or any
other aero-forces.

Yea, the physics category might be better, but I'll take a look first.

#16 - 05/04/2016 07:36 PM - smjjames
- Category changed from 281 to Physics

Reproducible with the persistent save with both craft. Interestingly, having the mouse over the debug window stops it and then it resumes after | move
the mouse off of it, but then again, lots of stuff get 'locked' when you move the mouse over that. The station orbit slowly decreases over time, though it
would take a while for it to fall a good deal. The one heading to the Mun looks like maybe floating point error? That one isn't so clear.

The no-thrust save is reproducible, although it stays within a range and doesn't go much of anywhere.

The orbital decay save also reproduces for the craft it goes to and for the other craft in the save. Including a piece of debris.

Edit: Apparently it's a known bug from pre-release, so, we'll just have to wait until they get back from vacation...

#17 - 05/04/2016 08:17 PM - NathanKell

What | need you to do is to compare to 1.0.5, and in particular compare to single part vessels in 1.0.5.

#18 - 05/05/2016 12:57 AM - krimsalt

smjjames wrote:

so, we'll just have to wait until they get back from vacation...

XD oh good lord...

Also | might add this makes getting into spherical orbits on one burn near impossible

#19 - 05/05/2016 12:58 AM - krimsalt

krimsalt wrote:
smjjames wrote:

so, we'll just have to wait until they get back from vacation...

XD oh good lord... lol call them back!!
Also | might add this makes getting into spherical orbits on one burn near impossible

#20 - 05/05/2016 01:13 AM - smjjames

| get that it's a rather big issue and | would like to see it fixed myself, but | can't exactly make them come back from vacation.

Gonna bump the priority slightly higher, though IMO it would be medium-high, between absolutely game breaking and not gamebreaking. In an
absolute sense, it is gamebreaking because it screws with the orbits of your active craft.

#21 - 05/05/2016 01:13 AM - smjjames
- Severity changed from Normal to High

Actually change the priority......

#22 - 05/05/2016 04:18 AM - krimsalt

smjjames wrote:
| get that it's a rather big issue and | would like to see it fixed myself, but | can't exactly make them come back from vacation.

Gonna bump the priority slightly higher, though IMO it would be medium-high, between absolutely game breaking and not gamebreaking. In an
absolute sense, it is gamebreaking because it screws with the orbits of your active craft.

ya i realized that. | was joking lol... in retrospect | guess it's difficult to portray sarcasm over text XD

#23 - 05/05/2016 10:41 AM - HeHo

- File In Orbit.sfs added

- File 1.0.5 1 at Ap.png added

- File 1.0.5 2 halfway to Pe.png added
- File 1.0.5 3 at Pe.png added

- File 1.1.2 1 at Ap.png added

- File 1.1.2 2 halfway to Pe.png added
- File 1.1.2 3 at Pe.png added
NathanKell wrote:

What | need you to do is to compare to 1.0.5, and in particular compare to single part vessels in 1.0.5.
Launched a single Stayputnik into Kerbin orbit and flew without time warp in 1.0.5.
At Ap | got Ap: 100203m, Pe: 96796m
Halfway to Pe Ap drops to 100145m and Pe rises to 96839m
At Pe Ap has risen again to 100191m and Pe has dropped to 96774m
Loaded the same savefile (roughly at Ap) in 1.1.2
Ap at 100203m, Pe at 96793m
Halfway to Pe Ap has dropped to 100126m and Pe to 96750m
At Pe Ap has dropped to 100084m and Pe dropped to 96664m
Savefile and screenshots attached

#24 - 05/06/2016 05:26 AM - krimsalt

- File quicksave.sfs added

| think it has to do with part count... i am attaching another save | am working on. It's damn-near unplayable as the Mun Lander (Subaru Mk1) drops
PE to surface before | have time to do anything with it to prepare it to land on Mun's surface

I've also noticed that now that my space station (MPL) is getting bigger, it too decays quicker

Load the game, go to the Tracking Station and choose Subaru Mk1, the PE drops from 25 km to 20 km in a matter of seconds (without SAS,RCS)

#25 - 05/06/2016 04:29 PM - bewing

In version 1.0.5, the energy in an orbit was conserved. The Ap and the Pe would shift on the focused vessel -- but when one was losing altitude, the
other would gain an equal amount of energy and rise. The effect would swap back and forth between the two during an orbit.
Now, both the Pe and Ap decay simultaneously. One more than the other depending on your point in orbit. This is the difference.
But my 1.0.5 is gone gone gone, and | cannot do direct comparisons.

#26 - 05/08/2016 11:20 PM - krenshala
1.1.2 and noticed that the Ap drop (at about 5min to a 52km Pe (with a 52minute orbit) seems to be the same at both x1 and x4 physics warp.
edit - But on the next orbit it seemed to be the proper 4x higher. :/

#27 - 05/10/2016 11:12 AM - ClancyP
- File 129-3 Mun Drill Docked at MS.sfs added

This bug is even more noticeable around the Mun. It also is causing rotation and velocity changes, not just Orbit in map view. In this save file Mun
Station 1 is orbiting the Mun with a a couple of different landers attached. If you let it sit for a minute or so at 1x warp, with SAS off, no engines or
thrusters active, it will start to spin, going faster as time goes by. Also, if you detach one of the landers and watch them drift apart, it will start
accelerating away from the Station. Trying to dock in these conditions is awkward as | need to use repeated thruster blasts to fight the acceleration.
Also of note, the problem persists under physics warp, but at normal warp, they behave as they always have.

The problem appeared at v1.1 or 1.1.1, | am currently using 1.1.2 (64 bit) career mode, the only mod | have now is landingHeight, (though the
problem persists if | remove it)

#28 - 05/11/2016 09:51 PM - smjjames
- Has duplicate Bug #9715: Orbiting artificially changing (apoapsis/periapsis) added

#29 - 05/11/2016 09:53 PM - smjjames
- Subject changed from Orbital Decay/Atmosphere upper limit to Orbital Decay/ Orbit changes without user input

Just clarifying the ubject title to match the problem.
#30 - 05/12/2016 07:52 PM - krimsalt

smjjames wrote:

Just clarifying the ubject title to match the problem.

has there been any updates from the devs?
#31 - 05/12/2016 09:32 PM - smjjames
krimsalt wrote:

smjjames wrote:

Just clarifying the ubject title to match the problem.

has there been any updates from the devs?

No, they're still on vacation. | was just clarifying it to make it a bit easier to find as there was a duplicate and the atmospheric drag part was inaccurate
anyway.

#32 - 05/13/2016 11:01 PM - Anonymous

- File quicksave.sfs added

| have noticed this bug as well. Additionally, | believe it is causing a problem with Maneuver Nodes as well.

Any Maneuver Node | create does not maintain a constant dV value as observed on the Nav HUD. The dV value increases at steady rate which
seems to correspond with the decrease in value of the periapsis and apoapsis. The farther in the future the maneuver node exists, the more
prominent the increase becomes. | believe the game is somehow trying to compensate for the expected future decrease in orbital altitude.

I've included a brand new save file in an unmodded install which contains a single craft orbiting Kerbin. A maneuver node with a starting dV of 0.1
m/s is set for a few hours in the future, and it will slowly increase over time. The increase is accelerated when physics time warp is utilized, but stays

constant under normal time warp. Finally, if you mouse over the maneuver node in map view, it maintains the original dV value of 0.1 m/s.

| have very little experience with computer programming, but | believe these bugs are one in the same. If I'm wrong, I'll happily open a new bug file.

#33 - 05/14/2016 12:34 AM - smjjames
mbrouillard wrote:
| have noticed this bug as well. Additionally, | believe it is causing a problem with Maneuver Nodes as well.

Any Maneuver Node | create does not maintain a constant dV value as observed on the Nav HUD. The dV value increases at steady rate which
seems to correspond with the decrease in value of the periapsis and apoapsis. The farther in the future the maneuver node exists, the more
prominent the increase becomes. | believe the game is somehow trying to compensate for the expected future decrease in orbital altitude.

I've included a brand new save file in an unmodded install which contains a single craft orbiting Kerbin. A maneuver node with a starting dV of
0.1 m/s is set for a few hours in the future, and it will slowly increase over time. The increase is accelerated when physics time warp is utilized,
but stays constant under normal time warp. Finally, if you mouse over the maneuver node in map view, it maintains the original dV value of 0.1
m/s.

| have very little experience with computer programming, but | believe these bugs are one in the same. If I'm wrong, I'll happily open a new bug
file.

I'd say keep it here so that all of the relevant information is kept together. At least until it's proven that it's a completely separate bug rather than just a
manifestation of this one.

#34 - 05/16/2016 03:12 AM - smjjames
- Has duplicate Bug #9729: orbit changing (rising and decreasing) added

#35 - 06/07/2016 02:38 AM - gloriouscult

Orbital Decay

I'm also experiencing this issue. My save file is here: https:/qist.qgithub.com/andytcox/0c8b6005e37de7477674af766e97¢c292 My install has a ton of
mods, but the problem only cropped up recently. "Eden 1" is the craft that is my best example, its orbit decays .001 kms roughly every 5 seconds - its
easy to see in the orbit info from Mechjeb. This also happens with other craft on Kerbin/Mun/Duna at varying rates(nothing wild yet but they are all
high orbits).

VAB - Possibly Separate Issue

Around the same time this cropped up | also started to experience issues in the VAB where by the Ul would become completely unresponsive, it
seems like it happens as I'm going to launch or exit. Ul hover effects still work and the kerbals continue to move around, but nothing you click has any
effect, | still get a noise when selecting a part but no other response.

Timeline

| believe it started with the "Orbital Decay" bug and then the VAB happened in quick succession. | quit out of the game when | noticed the orbital
decay and verified my game cache through Steam. On relaunching and going to the same vessel(Eden 1) the problem persisted, | figured it might just
be some goof with the one station. | went back to the VAB and started assembling a new craft but needed to exit and verify something in mission
control - when | got to exit the Ul problem pops up. Reload and check orbital decay, reenter VAB - same issue. Reload go straight to VAB, at some
point if I'm in there long enough - same issue.

Not sure these are related, but hoping this helps. I'll upload a CKAN list of mods as well once I'm back in Windows. | know these aren't directly
supported, but the problems similar enough, | figured it might help.

Edit

| just copied everything over to Mac and verified the orbital decay appears to be the same as it is in Windows.
#36 - 06/24/2016 10:42 AM - bewing

- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

- Platform Linux, OSX added

Fixed in ver 1.1.3, as far as my testing can verify it.

#37 - 06/25/2016 10:42 AM - alexanderweiss
- File persistent.sfs added

- File vid.mov added

I'm still experiencing this in version 1.1.3. All engines turned off, no RCS and it happens with both SAS enabled and disabled. Only without time warp.
| wasn't able to check whether it's better or worse since 1.1.2.
It's running on OS X (on an external display) and | haven't changed any settings since updating to 1.1.3.

I've attached the save. The specific craft I'm looking at is Mun Science Station.
(Note that in the video the effect isn't huge, but over a minute or so it can rise or fall by about a 100 meters)

#38 - 07/11/2016 01:26 AM - blackgold
https://gist.github.com/andytcox/0c8b6005e37de7477674af766e97c292

I'm having orbital decay problems as well. I'm getting a g force being reported by several mods that decays orbits over time. Burn nodes placed in
the future show a gradual increase in delta v. If | time warp both the reported g force goes to 0 and the decay stops. I'm also having a lot of trouble
with re-entry, all of my impact attempts come up short of predictions.

#39 - 07/11/2016 02:23 AM - kujirasan

Yeah. This bug is still happening, and is not fixed in 1.1.3.1289. | haven't played in at least 9 months and came back to find that i can't orbit Mun
without my AP and PE dropping rapidly together. It seems to vary from one burn to the next. I've also seen AP and PE increase steadily after a burn,
albeit slowly (around 1m every couple seconds. There's no way to have multiple missions going on at once anymore and you waste fuel just to try
and maintain an orbit. I'm not sure if it was a fluke, but one time i took it out to about 200k from the Mun in a circular orbit and it seemed to have no
issues at all.

This is a pretty game-breaking deal.

#40 - 07/17/2016 09:20 AM - TriggerAu

- Status changed from Resolved to Closed

#41 - 07/24/2016 07:09 AM - TriggerAu
- Status changed from Closed to Confirmed

- % Done changed from 100 to 10

Reopening so its still tracked

#42 - 07/31/2016 08:58 AM - bewing

You guys who report it still happening in 1.1.3(1289) -- you need to tell us for sure that you have gone into your main settings menu and turned
on the "Orbital Drift Compensation" -- otherwise, OF COURSE its still happening to you. But it's no longer a bug unless you clicked that button.

#43 - 07/31/2016 03:28 PM - gloriouscult
bewing wrote:
You guys who report it still happening in 1.1.3(1289) -- you need to tell us for sure that you have gone into your main settings menu and

turned on the "Orbital Drift Compensation" -- otherwise, OF COURSE its still happening to you. But it's no longer a bug unless you clicked
that button.

Still occurs for me in 1.1.3(1289) with "Orbital Drift Compensation* selected. On another note, the option cannot be de-selected and is always
returned to active when applying setting chnages.

Is this expected to work with existing saves, new games, or both?

#44 - 08/05/2016 07:03 PM - blackgold

bewing wrote:

You guys who report it still happening in 1.1.3(1289) -- you need to tell us for sure that you have gone into your main settings menu and
turned on the "Orbital Drift Compensation" -- otherwise, OF COURSE its still happening to you. But it's no longer a bug unless you clicked
that button.

Yes, | have orbital drift compensation turned on. It helps, but the problem is still there. Sometimes it doesn't cause a problem and other times it is very
apparent. Besides the dancing orbital numbers | also get some form of drag in space. | have not been able to determine a pattern to why it's better
sometimes and worse others. | have to play the game in time warp to get any sort of consistency, and spend as little time as possible in real time.
Makes accurate re entry almost impossible.

#45 - 08/05/2016 09:14 PM - bewing

gloriouscult & blackgold: there is a slightly different form of this issue that involves landing legs. Landing legs seem to give your craft small random
pushes around. On the craft that you are seeing this on -- do they have landing legs?

#46 - 08/07/2016 11:59 AM - ms

- File quicksave.sfs added

Issue still exist in 1.1.3(1289) both 64 and 32 bit versions. | see no problem while orbiting Kerbin, but on Mun when ship got below 100km it's
periapsis and apopasis started to bounce, when it cames above 100km all ok. | installed clean KSP to test, with only two mods installed KOS and
KER. There is my savegame with small test ship on orbit of the Mun. For more complex ship it will bounce more.

#47 - 08/07/2016 08:50 PM - blackgold

bewing wrote:
gloriouscult & blackgold: there is a slightly different form of this issue that involves landing legs. Landing legs seem to give your craft small
random pushes around. On the craft that you are seeing this on -- do they have landing legs?

Yes, usually, although craft without them have the problem too. Phantom forces are always reported but only sometimes effect orbit. | recall reading
that orbital drift compensation could be adjusted in the cfg? Maybe | need to make mine stronger.

#48 - 08/09/2016 03:37 AM - TriggerAu
- Related to Bug #10330: Orbit changes without reason at Mun, not fixed. added

#49 - 08/09/2016 03:41 AM - TriggerAu
- Related to Bug #10087: Satelite orbit is changing with no input added

#50 - 08/28/2016 08:41 AM - alexanderweiss
bewing wrote:

gloriouscult & blackgold: there is a slightly different form of this issue that involves landing legs. Landing legs seem to give your craft small
random pushes around. On the craft that you are seeing this on -- do they have landing legs?

I've got orbital draft compensation enabled too and the specific craft I'm seeing the issue with has landing legs. Not sure yet if it happens without
them.

#52 - 09/10/2016 11:00 AM - Talib

Have a lots of mods here, and landing legs, and i get a lot of orbital decay in orbit around dres. | thought this bug was closed.
Just checked for orbital drift compensation. It is switched on, i never changed it. And there is no way to switch it off.

#53 - 10/14/2016 01:41 AM - Squelch

- Status changed from Confirmed to Ready to Test

- Target version set to 1.2.0

- % Done changed from 10 to 80

The orbital precision has been significantly improved.

This should be good for KSP 1.2

#54 - 11/18/2016 08:12 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.
orbit_decay.sfs 717 KB 04/30/2016 bewing
In Orbit.sfs 38.4 KB 05/05/2016 HeHo
1.0.5 1 at Ap.png 349 KB 05/05/2016 HeHo
1.0.5 2 halfway to Pe.png 348 KB 05/05/2016 HeHo
